> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/s2s/setup.md).

# Setup

To send S2S requests to Ingest Labs, please follow the below API request details.

**Request URL**

https\://:tenantDomain/s2s/2024-07/:vendorId/:projectId/:envId/:envName/:eventName

```
tenantDomain: <Tenant Domain that is pre-shared with the developer>
vendorId: <Vendor ID that is pre-shared with the developer>
projectId: <Project ID that is pre-shared with the developer>
envId: <Environment ID that is pre-shared with the developer>
envName: <Environment Name that is pre-shared with the developer>
eventName: <Pre-defined Event Name specified in the Tracking Events section>
```

**Request Headers**

```
Content-Type: text/plain
x-client-id: <pre-shared api client id>
x-api-key: <pre-shared api secret>
```

**Request Body**

```
{
        event_id: "<Unique ID representing the event. E.g: UUID>",
        state_token: "<cart token for shopify>",
        event_hash: "<MD5 of state_token + event_name + payload objects>",
        payload: {
            <Please refer to Tracking Events section for the event specific payload>
        }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ingestlabs.com/s2s/setup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
